### Method

# Snapd Maintenance get_kind

since: 1.45

#### Declaration [src]

    SnapdMaintenanceKind
    snapd_maintenance_get_kind (
      SnapdMaintenance* maintenance
    )

#### Description [src]

Get the kind of maintenance kind, e.g. `SNAPD_MAINTENANCE_KIND_DAEMON_RESTART`.

Available since: 1.45

Gets property | `Snapd.Maintenance:kind`

#### Return value

Type: `SnapdMaintenanceKind`

A `SnapdMaintenanceKind`.